Bug 222447 - Another SELinux issue with prelink and nethack
Another SELinux issue with prelink and nethack
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-12 11:13 EST by vfiend
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-22 10:03:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description vfiend 2007-01-12 11:13:00 EST
Something similar seems to happen almost every day.

Summary
    SELinux is preventing /usr/sbin/prelink (prelink_t) "add_name" to
    nethack.#prelink#.N9T6CA (usr_t).

Additional Information:       

Source Context:               system_u:system_r:prelink_t:SystemLow-SystemHigh
Target Context:               system_u:object_r:usr_t
Target Objects:               nethack.#prelink#.N9T6CA [ dir ]
Affected RPM Packages:        prelink-0.3.9-2 [application]
Policy RPM:                   selinux-policy-2.4.6-17.fc6
Selinux Enabled:              True
Policy Type:                  targeted
MLS Enabled:                  True
Enforcing Mode:               Enforcing
Plugin Name:                  plugins.catchall_file
Host Name:                    icarus
Platform:                     Linux icarus 2.6.18-1.2869.fc6 #1 SMP Wed Dec 20
14:51:34 EST 2006 x86_64 x86_64
Alert Count:                  1
Line Numbers:                 

Raw Audit Messages:           

avc: denied { add_name } for comm="prelink" egid=0 euid=0
exe="/usr/sbin/prelink" exit=-13 fsgid=0 fsuid=0 gid=0 items=0
name="nethack.#prelink#.N9T6CA" pid=7163
scontext=system_u:system_r:prelink_t:s0-s0:c0.c1023 sgid=0
subj=system_u:system_r:prelink_t:s0-s0:c0.c1023 suid=0 tclass=dir
tcontext=system_u:object_r:usr_t:s0 tty=(none) uid=0 





Summary
    SELinux is preventing the /usr/sbin/prelink from using potentially
    mislabeled files (#prelink#.P1tSPw).

Additional Information:       

Source Context:               system_u:system_r:prelink_t:SystemLow-SystemHigh
Target Context:               system_u:object_r:tmp_t
Target Objects:               #prelink#.P1tSPw [ dir ]
Affected RPM Packages:        prelink-0.3.9-2 [application]
Policy RPM:                   selinux-policy-2.4.6-17.fc6
Selinux Enabled:              True
Policy Type:                  targeted
MLS Enabled:                  True
Enforcing Mode:               Enforcing
Plugin Name:                  plugins.home_tmp_bad_labels
Host Name:                    icarus
Platform:                     Linux icarus 2.6.18-1.2869.fc6 #1 SMP Wed Dec 20
14:51:34 EST 2006 x86_64 x86_64
Alert Count:                  1
Line Numbers:                 

Raw Audit Messages:           

avc: denied { add_name } for comm="prelink" egid=0 euid=0
exe="/usr/sbin/prelink" exit=-13 fsgid=0 fsuid=0 gid=0 items=0
name="#prelink#.P1tSPw" pid=7163
scontext=system_u:system_r:prelink_t:s0-s0:c0.c1023 sgid=0
subj=system_u:system_r:prelink_t:s0-s0:c0.c1023 suid=0 tclass=dir
tcontext=system_u:object_r:tmp_t:s0 tty=(none) uid=0 




Summary
    SELinux is preventing /usr/sbin/prelink (prelink_t) "add_name" to
    #prelink#.w5bG2s (tmpfs_t).

Additional Information:       

Source Context:               system_u:system_r:prelink_t:SystemLow-SystemHigh
Target Context:               system_u:object_r:tmpfs_t
Target Objects:               #prelink#.w5bG2s [ dir ]
Affected RPM Packages:        prelink-0.3.9-2 [application]
Policy RPM:                   selinux-policy-2.4.6-17.fc6
Selinux Enabled:              True
Policy Type:                  targeted
MLS Enabled:                  True
Enforcing Mode:               Enforcing
Plugin Name:                  plugins.catchall_file
Host Name:                    icarus
Platform:                     Linux icarus 2.6.18-1.2869.fc6 #1 SMP Wed Dec 20
14:51:34 EST 2006 x86_64 x86_64
Alert Count:                  1
Line Numbers:                 

Raw Audit Messages:           

avc: denied { add_name } for comm="prelink" egid=0 euid=0
exe="/usr/sbin/prelink" exit=-13 fsgid=0 fsuid=0 gid=0 items=0
name="#prelink#.w5bG2s" pid=7163
scontext=system_u:system_r:prelink_t:s0-s0:c0.c1023 sgid=0
subj=system_u:system_r:prelink_t:s0-s0:c0.c1023 suid=0 tclass=dir
tcontext=system_u:object_r:tmpfs_t:s0 tty=(none) uid=0
Comment 1 Daniel Walsh 2007-02-14 15:50:29 EST
Fixed in selinux-policy-2.4.6-37
Comment 2 Daniel Walsh 2007-08-22 10:03:08 EDT
Closed as all fixes are in the current release

Note You need to log in before you can comment on or make changes to this bug.